From feb56276666478ff2f074da9eea35c31a060bb6e Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Sat, 29 Jun 2019 16:14:43 +0200
Subject: [PATCH 1/4] gcc: remove leftover sed irrelevant to 9.1

---
 srcpkgs/gcc/template | 6 ------
 1 file changed, 6 deletions(-)

diff --git a/srcpkgs/gcc/template b/srcpkgs/gcc/template
index 56d1cf38dd4..3cbe762aa0c 100644
--- a/srcpkgs/gcc/template
+++ b/srcpkgs/gcc/template
@@ -164,12 +164,6 @@ pre_configure() {
 	case "$XBPS_TARGET_MACHINE" in
 		*-musl) patch -p1 -i ${FILESDIR}/libgnarl-musl.patch ;;
 	esac
-	# REMOVE WITH 9.1
-	case "$XBPS_TARGET_MACHINE" in
-		ppc*-musl)
-			sed -i 's/ \-D__gnu_linux__//' gcc/config/rs6000/sysv4.h
-			;;
-	esac
 }
 do_configure() {
 	local _langs _args _hash

From db3b0d05c367fd620f8475aba523f3454093b5f4 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Sat, 29 Jun 2019 16:15:05 +0200
Subject: [PATCH 2/4] cross-powerpc-linux-musl: remove leftover sed irrelevant
 to 9.1

---
 srcpkgs/cross-powerpc-linux-musl/template | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/srcpkgs/cross-powerpc-linux-musl/template b/srcpkgs/cross-powerpc-linux-musl/template
index f123c81cb74..225fdbb0245 100644
--- a/srcpkgs/cross-powerpc-linux-musl/template
+++ b/srcpkgs/cross-powerpc-linux-musl/template
@@ -93,9 +93,6 @@ _gcc_bootstrap() {
 	_apply_patch -p0 ${FILESDIR}/libgcc-musl-ldbl128-config.patch
 	_apply_patch -p1 ${FILESDIR}/libgnarl-musl.patch
 
-	# REMOVE WITH 9.1
-	sed -i 's/ \-D__gnu_linux__//' gcc/config/rs6000/sysv4.h
-
 	msg_normal "Building cross gcc bootstrap\n"
 
 	[ ! -d ../gcc-bootstrap ] && mkdir ../gcc-bootstrap

From 7e3c60a3873457e4c84043a8b7262d4c663000f4 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Sat, 29 Jun 2019 16:15:32 +0200
Subject: [PATCH 3/4] cross-powerpc64-linux-musl: remove leftover sed
 irrelevant to 9.1

---
 srcpkgs/cross-powerpc64-linux-musl/template | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/srcpkgs/cross-powerpc64-linux-musl/template b/srcpkgs/cross-powerpc64-linux-musl/template
index 69d4ec4c13e..8ecd2f10bfc 100644
--- a/srcpkgs/cross-powerpc64-linux-musl/template
+++ b/srcpkgs/cross-powerpc64-linux-musl/template
@@ -90,9 +90,6 @@ _gcc_bootstrap() {
 
 	sed -i 's/lib64/lib/' gcc/config/rs6000/linux64.h
 
-	# REMOVE WITH 9.1
-	sed -i 's/ \-D__gnu_linux__//' gcc/config/rs6000/sysv4.h
-
 	msg_normal "Building cross gcc bootstrap\n"
 
 	[ ! -d ../gcc-bootstrap ] && mkdir ../gcc-bootstrap

From 08e14d067047b6b5161b722629eaac54cae717d1 Mon Sep 17 00:00:00 2001
From: q66 <daniel@octaforge.org>
Date: Sat, 29 Jun 2019 16:15:40 +0200
Subject: [PATCH 4/4] cross-powerpc64le-linux-musl: remove leftover sed
 irrelevant to 9.1

[ci skip]
---
 srcpkgs/cross-powerpc64le-linux-musl/template | 3 ---
 1 file changed, 3 deletions(-)

diff --git a/srcpkgs/cross-powerpc64le-linux-musl/template b/srcpkgs/cross-powerpc64le-linux-musl/template
index fbb28e2b397..07519cadef7 100644
--- a/srcpkgs/cross-powerpc64le-linux-musl/template
+++ b/srcpkgs/cross-powerpc64le-linux-musl/template
@@ -90,9 +90,6 @@ _gcc_bootstrap() {
 
 	sed -i 's/lib64/lib/' gcc/config/rs6000/linux64.h
 
-	# REMOVE WITH 9.1
-	sed -i 's/ \-D__gnu_linux__//' gcc/config/rs6000/sysv4.h
-
 	msg_normal "Building cross gcc bootstrap\n"
 
 	[ ! -d ../gcc-bootstrap ] && mkdir ../gcc-bootstrap
